<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

$_SESSION["page"] = "header.php";
$_SESSION["testPage"] = "quicktest.php";
include "fefunctions.php";
?>
<html>
<head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <title>HP Insight Diagnostics</title>
  <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
  <link rel='stylesheet' type='text/css' href='stylesheets/menu.css'>
  <link rel='stylesheet' type='text/css' href='stylesheets/header.css'>
  <style> body { background: white; } </style>
  <script language=Javascript>
var TRange = null;
var win = null;
var frameval = false;

var nom = navigator.appName.toLowerCase();
var agt = navigator.userAgent.toLowerCase();
var is_major  = parseInt(navigator.appVersion);
var is_minor  = parseFloat(navigator.appVersion);
var is_ie     = (agt.indexOf("msie") != -1);
var is_ie4up  = (is_ie && (is_major >= 4));
var is_nav    = (nom.indexOf('netscape')!=-1);
var is_nav4   = (is_nav && (is_major == 4));
var is_mac    = (agt.indexOf("mac")!=-1);
var is_gecko  = (agt.indexOf('gecko') != -1);

var is_rev=0
if (is_gecko) {
temp = agt.split("rv:")
is_rev = parseFloat(temp[1])
}

//  USE THE FOLLOWING VARIABLE TO CONFIGURE FRAMES TO SEARCH
//  (SELF OR CHILD FRAME)

//  If you want to search another frame, change "self" below to
//  parent.frames["thisframe"]
//  where "thisframe" is the name of the target frame
//  eg: var frametosearch1 = parent.frames["thisframe"]

var frametosearch1 = self

function search(whichform, whichframe) 
{
  

//  TEST FOR IE5 FOR MAC (NO DOCUMENTATION)

if (is_ie4up && is_mac) return;

//  TEST FOR NAV 6 (NO DOCUMENTATION)

if (is_gecko && (is_rev <1)) return;

//  INITIALIZATIONS FOR FIND-IN-PAGE SEARCHES

if(whichform.findthis.value!=null && whichform.findthis.value!='') 
{


       str = whichform.findthis.value;
       if(whichframe!=self)
       frameval=true;  // this will enable Nav7 to search child frame
       win = whichframe;

    
}

else return;  //  i.e., no search string was entered

var strFound;

//  NAVIGATOR 4 SPECIFIC CODE

if(is_nav4 && (is_minor < 5)) 
{
  strFound=win.find(str); // case insensitive, forward search by default
  if (!strFound)
    strFound=win.find(str,false,true); // case insensitive, forward search by default

//  There are 3 arguments available:
//  searchString: type string and it's the item to be searched
//  caseSensitive: boolean -- is search case sensitive?
//  backwards: boolean --should we also search backwards?
//  strFound=win.find(str, false, false) is the explicit
//  version of the above
//  The Mac version of Nav4 has wrapAround, but
//  cannot be specified in JS

 
	}

//  NAVIGATOR 7 SPECIFIC CODE (WILL NOT WORK WITH NAVIGATOR 6)

if (is_gecko && (is_rev >= 1)) {
    if(frameval!=false) win.focus(); // force search in specified child frame
    strFound=win.find(str, false, false, true, false, frameval, false);
    if (!strFound)
      strFound=win.find(str, false, true, true, false, frameval, false);

//  There are 7 arguments available:
//  searchString: type string and it's the item to be searched
//  caseSensitive: boolean -- is search case sensitive?
//  backwards: boolean --should we also search backwards?
//  wrapAround: boolean -- should we wrap the search?
//  wholeWord: boolean: should we search only for whole words
//  searchInFrames: boolean -- should we search in frames?
//  showDialog: boolean -- should we show the Find Dialog?


}

 if (is_ie4up) {

  // EXPLORER-SPECIFIC CODE


  if (TRange!=null) {
    TRange.collapse(false)
    strFound=TRange.findText(str)
    if (strFound) TRange.select();
 
  }
  if (TRange==null || strFound==0) {
    TRange=win.document.body.createTextRange()
    strFound=TRange.findText(str)
    if (strFound) TRange.select();

  }
 }

  if (!strFound) alert ("String '"+str+"' not found!") // string not found

        
}
</script>
</head>

<body>
<?php
  printf("<form name='form1' action='' onSubmit='search(document.form1, frametosearch1); return false'>");
  printf("<table><tr><td>");
  printf("<input type=text size=6 maxlength=6 name=findthis></td><td><input type=submit value='%s'>", TR("MSG_FIND_ERROR_CODES"));
  printf("</td></table>");

  printf("<table width=100%%>\n  <tr>\n    <td class=heading width=23>%s</td>\n", TR("MSG_CODE"));
  printf("    <td class=heading width=170>%s, %s</td>\n", TR("MSG_DEVICE"), TR("MSG_TEST"));
  printf("    <td class=heading width=250>%s</td>\n", TR("MSG_MESSAGE"));
  printf("    <td class=heading width=500>%s</td>\n  </tr>\n</table>\n", TR("MSG_REPAIR"));
  if ($dh = opendir($_SESSION["diagsDirectory"]))
  {
    $rowColor = "";
    printf("<div style='height:310px;overflow:auto'>\n<table width=100%%>\n");
    while (($file = readdir($dh)) !== false) 
    { // $file      
	    if (strstr($file, ".err.xml"))
	    {
	      $filepath = $_SESSION["diagsDirectory"] . $file;
	      if ($dom = LoadXmlDocument($filepath)) 
	      {
          //echo htmlentities($dom->html_dump_mem());
          $errorcodeXpath = xpath_new_context($dom->document_element());
		      $devices = xpath_eval($errorcodeXpath, "/device");
		      $num_devices = count($devices->nodeset);
		      for ($d=0; $d < $num_devices; $d++)
		      {
		        $device = $devices->nodeset[$d];
			      $class = $device->get_attribute("caption");

            $testXpath = xpath_new_context($device);
			      $tests = xpath_eval($testXpath, "/test");
			      $num_tests = count($tests->nodeset);
			      for ($t=0; $t < $num_tests; $t++)
			      {
			        $test = $tests->nodeset[$t];
			        $testName = $test->get_attribute("caption");

              $errorXpath = xpath_new_context($test);
			        $errors = xpath_eval($errorXpath, "/error");
			        $num_errors = count($errors->nodeset);
			        for ($e=0; $e < $num_errors; $e++)
			        {
			          $error = $errors->nodeset[$e];

				        $code = $error->get_attribute("code");

				        $messageName = $error->get_attribute("message");
                if (strstr($file, "sdl.err.xml"))
                  $message = TR("MSG_NOT_APPLICABLE");
                else
				          $message = TR("MSG_UNDEFINED");
				        $messages = xpath_eval($errorcodeXpath, "/message[@name='" . $messageName . "']");
				        if (count($messages->nodeset))
				          $message = $messages->nodeset[0]->get_content();

				        $repairName = $error->get_attribute("repair");
				        //$repairAction = TR("MSG_UNDEFINED");
                $repairs = xpath_eval($errorcodeXpath, "/repair[@name='" . $repairName . "']");
				        if (count($repairs->nodeset))
				          $repairAction = $repairs->nodeset[0]->get_content();

                printf("<tr bgcolor=%s><td width=23>%s</td><td width=170>%s, %s</td><td width=250>%s</td><td width=500>%s</td></tr>", $rowColor, $code, $class, $testName, $message, $repairAction);

				        // Alternate the row color
	              if($rowColor == "")
	                $rowColor = "#eeeeee"; // make gray
	              else
	                $rowColor = ""; // make white
			        }
			      }
		      }		 
		  }
		  else
		    printf("dom_xmlopen has failed<br>\n");
	    }
    } 
    closedir($dh);
	  printf("</table>\n</div></form>");
  }

?>
<script language="Javascript" src="norightclick.js"></script></body>
