<?php

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/


function ExecuteIOCommand ($executableName, $stdinData, &$stdoutData, &$stderrData)
{
  $sessionSavePath = session_save_path();
  $sessionID = session_id();

  $stdinFilename = $sessionSavePath . "/stdin_" . $sessionID;
  $stdoutFilename = $sessionSavePath . "/stdout_" . $sessionID;
  $stderrFilename = $sessionSavePath . "/stderr_" . $sessionID;

  $fd = @fopen($stdinFilename, "w");
  @fwrite($fd, $stdinData);
  @fclose($fd);

  $return_value = 1;
  $stdoutData = "";
  $stderrData = "";
  system($executableName . " <" . $stdinFilename . " 1>" . $stdoutFilename . " 2>" . $stderrFilename, $return_value);
  $stdoutData = @file_get_contents($stdoutFilename);
  $stderrData = @file_get_contents($stderrFilename);

  // cleanup
  @unlink($stdinFilename);
  @unlink($stdoutFilename);
  @unlink($stderrFilename);

  return $return_value;
}
?>
