<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

//include "iocommand.php";
include "fefunctions.php";
$bgcolor = "#ffffff";
if ($_SESSION["catalogResult"] != "")
{  
  $xmldoc = @new DomDocument($_SESSION["catalogResult"]);
  $rootElement = @$xmldoc->document_element();
  //echo htmlentities($xmldoc->html_dump_mem());
  $oss = "";
  $oss = $oss . sprintf("<html><head> <meta http-equiv='content-type' content='text/html; charset=UTF-8'><title>HP Insight Diagnostics</title>");
  $oss = $oss . sprintf("<link rel='stylesheet' type='text/css' href='stylesheets/main.css'>\n<SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'>\n</SCRIPT>\n<style> body { background: white; } </style></head><body><form name='tccatalogForm' method='POST'/>\n");

  $oss = $oss . sprintf("<div id='savePrompt' style='Visibility:hidden; display:none;'><table width=100%%>\n  <tr>\n");
  $oss = $oss . sprintf("    <td width=300></td>\n<td>");

  $oss = $oss . sprintf("                                 <br><input type='radio' name='location' value='floppy' checked> %s\n", TR("MSG_SAVE_TO_FLOPPY"));

  if (IsOnline())
    $oss = $oss . sprintf("    <input type='radio' name='location' value='harddrive'> %s %s<br>\n", TR("MSG_SAVE_TO_HARD_DRIVE"), $_SESSION["diagsDirectory"]);

  if (mountUSB("Transparent SCSI"))
    $oss = $oss . sprintf("                                 <br><input type='radio' name='location' value='diskonkey'> %s\n", TR("MSG_SAVE_TO_USB_KEY"));

  if (mountUSB("Floppy"))
  {
    $usbFloppy = true;
    $oss = $oss . sprintf("                                 <br><input type='radio' name='location' value='usb'> %s\n", TR("MSG_SAVE_TO_USB_FLOPPY"));
  }

  $oss = $oss . sprintf("    </td><td align=right><b>%s:</b> <input type=text name=filename onKeyPress='return submitenter(\"2\");'> ", TR("MSG_FILENAME"));
  $oss = $oss . sprintf("<input type=button value=%s onclick='saveFile(\"2\");'></td>\n  </tr>\n</table>\n<hr>\n</div>\n", TR("MSG_SAVE"));

  $imlRootXpath = @xpath_new_context($rootElement);
  $catResults = @xpath_eval($imlRootXpath, "/diagOutput/catResult");
  $num_cats = count($catResults->nodeset);
  $oss = $oss . sprintf("%s<br><table width='100%%'>\n", TR("MSG_TEST_COMPONENT_HELP"));
  for ($c=0; $c < $num_cats; $c++)
  {
    $catResult = $catResults->nodeset[$c];

    $component = $catResult->get_attribute("component");
    $oss = $oss . sprintf("  <tr>\n   <td bgcolor='#006699' colspan='2' class='subhead'><font color='white'>%s</font></td>\n  </tr>\n", $component);

    $deviceXpath = @xpath_new_context($catResult);
    $devices = @xpath_eval($deviceXpath, "/device");
    $num_devices = count($devices->nodeset);
  
    for ($d=0; $d < $num_devices; $d++)
    {
      $device = $devices->nodeset[$d];
      $devCaption = $device->get_attribute("caption");
      if ($num_devices > 1 && $devCaption != "")
      {
        $oss = $oss . sprintf("  <tr>\n   <td bgcolor='%s' class='subhead'>%s</td>\n  </tr>", $bgcolor, $devCaption);
        // Alternate the row color
        if($bgcolor == "")
          $bgcolor = "#eeeeee"; // make gray
        else
          $bgcolor = ""; // make white
      }
    
    
      $testXpath = @xpath_new_context($device);
      $tests = @xpath_eval($testXpath, "/test");
      $num_tests = count($tests->nodeset);
      for ($t=0; $t < $num_tests; $t++)
      {
        $test = $tests->nodeset[$t];
        $testCaption = $test->get_attribute("caption");
        $testDescription = $test->get_attribute("description");
        $oss = $oss . sprintf("  <tr>\n    <td class='subhead' bgcolor='%s'>%s</td><td class='subhead' bgcolor='%s'>%s</td>\n  </tr>\n", $bgcolor, $testCaption, $bgcolor, $testDescription);
        // Alternate the row color
        if($bgcolor == "")
          $bgcolor = "#eeeeee"; // make gray
        else
          $bgcolor = ""; // make white
        $parameterXpath = @xpath_new_context($test);
        $parameters = @xpath_eval($parameterXpath, "/parameter");
        $num_parameters = count($parameters->nodeset);
        for ($p=0; $p < $num_parameters; $p++)
        {
          $parameter = $parameters->nodeset[$p];
          $parameterCaption = $parameter->get_attribute("caption");
          $parameterDescription = $parameter->get_attribute("description");
          $oss = $oss . sprintf("<tr>\n  <td bgcolor='%s'>&nbsp;&nbsp;&nbsp;&nbsp;%s</td><td bgcolor='%s'>%s</td>\n  </tr>\n", $bgcolor, $parameterCaption, $bgcolor, $parameterDescription);
          if($bgcolor == "")
            $bgcolor = "#eeeeee"; // make gray
          else
            $bgcolor = ""; // make white
        }
      }
    }
  }

if ($HTTP_POST_VARS["save"] == "3")  
{ // Save page

  $result = SaveFile($HTTP_POST_VARS["filename"],$HTTP_POST_VARS["saveLocation"], "HP Insight Diagnostics " . TR("MSG_VERSION") . " " . getBuildVersion() . "<br>" . TR("Computer Name") . ": " . getComputerName() . $oss);
  
  if ($result == 1 || $result == 3)
    $oss = $oss . sprintf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_PLEASE_INSERT_FLOPPY"));
  else if ($result == 2)
    $oss = $oss . sprintf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_DISK_FULL"));
  else if ($result == 4)
    $oss = $oss . sprintf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_BAD_FORMAT"));
  else
    $oss = $oss . sprintf("<script language='Javascript'>\nalert('%s');\n</script>\n", TR("MSG_FILE_WRITE_COMPLETE"));
}					

//hidden variables
$oss = $oss . sprintf("<input type=hidden name=save value=0>\n");
$oss = $oss . sprintf("<input type=hidden name=saveLocation value='floppy'>\n");

$oss = $oss . sprintf("<SCRIPT Language='Javascript'>\n");
$oss = $oss . sprintf("function saveFile(s)\n{\n");
$oss = $oss . sprintf("  if (s == 2 && document.tccatalogForm.filename.value == '')\n{\n");
$oss = $oss . sprintf("  alert('%s');\n", TR("MSG_PLEASE_ENTER_FILENAME"));
$oss = $oss . sprintf("  return;\n }\n");
if (IsOnline())
{
  $oss = $oss . sprintf("    if (document.tccatalogForm.location[1].checked)\n{\n");
  $oss = $oss . sprintf("      document.tccatalogForm.saveLocation.value = 'harddrive';\n}\n");
}
  $oss = $oss . sprintf("    if (document.tccatalogForm.location[1].checked)\ndocument.tccatalogForm.saveLocation.value = 'diskonkey';\n");
  if ($usbFloppy)
    $oss = $oss . sprintf("    if (document.tccatalogForm.location[2].checked)\ndocument.tccatalogForm.saveLocation.value = 'usb';\n");
}
else if ($usbFloppy)
  $oss = $oss . sprintf("    if (document.tccatalogForm.location[1].checked)\ndocument.tccatalogForm.saveLocation.value = 'usb';\n");

$oss = $oss . sprintf("  document.tccatalogForm.save.value = s;\n");
$oss = $oss . sprintf("  document.tccatalogForm.submit();\n}\n");


if ($HTTP_POST_VARS["save"] == "2")  // check if file exits
{
  if ($HTTP_POST_VARS["saveLocation"] == "floppy")
  {
    if ($os == "Linux" || $os == "Unix" || !IsOnline())
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", "<systemCall>mount " . getPathFloppy() . "</systemCall>", $returnString, $systemCallError);
    $fileP = getPathToFloppy() . $HTTP_POST_VARS["filename"];
  }
  else if ($HTTP_POST_VARS["saveLocation"] == "diskonkey")
  {  
    if ($os == "Linux" || $os == "Unix")
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", "<systemCall>mount /mnt/diskonkey</systemCall>", $returnString, $systemCallError);
    $fileP = "/mnt/diskonkey" . $HTTP_POST_VARS["filename"];
  }
  else if ($HTTP_POST_VARS["saveLocation"] == "usb")
  {
    $fileP = "/mnt/usb/" . $HTTP_POST_VARS["filename"];
  }
  else
    $fileP = $_SESSION["diagsDirectory"] . $HTTP_POST_VARS["filename"];

  if (file_exists($fileP))
  {
    $oss = $oss . sprintf("if  (!window.confirm('Saving will overwrite the existing file. Do you wish to continue?'))\n{");
    $oss = $oss . sprintf("    \n  document.tccatalogForm.save.value=0;\n");
    $oss = $oss . sprintf("    document.tccatalogForm.submit();\n   }\n");
    $oss = $oss . sprintf("else\n");
    $oss = $oss . sprintf("{\n");
    $oss = $oss . sprintf("  document.tccatalogForm.saveLocation.value='%s';\n", $HTTP_POST_VARS["saveLocation"]);
    $oss = $oss . sprintf("  document.tccatalogForm.filename.value='%s';\n",$HTTP_POST_VARS["filename"]);
    $oss = $oss . sprintf("  saveFile(3);\n}\n");

  }
  else
  {
    $oss = $oss . sprintf("  document.tccatalogForm.saveLocation.value='%s';\n", $HTTP_POST_VARS["saveLocation"]);
    $oss = $oss . sprintf("  document.tccatalogForm.filename.value='%s';\n",$HTTP_POST_VARS["filename"]);
    $oss = $oss . sprintf("  saveFile(3);\n");
  } 
   
}
if ($HTTP_POST_VARS["save"] == "1") // keep savePrompt displayed
  $oss = $oss . sprintf("document.getElementById('savePrompt').style.display = 'inline';\ndocument.getElementById('savePrompt').style.visibility = 'visible';\n");

$oss = $oss . sprintf("</script>\n");

  $oss = $oss . sprintf("</table></form></body></html>");
  printf("%s", $oss);

?>
